Bug 1467606 (CVE-2017-10789) - CVE-2017-10789 perl-DBD-MySQL: Possible MITM attack when mysql_ssl=1
Summary: CVE-2017-10789 perl-DBD-MySQL: Possible MITM attack when mysql_ssl=1
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2017-10789
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1467608
Blocks: 1467607
TreeView+ depends on / blocked
 
Reported: 2017-07-04 10:35 UTC by Adam Mariš
Modified: 2019-09-29 14:15 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-31 08:39:05 UTC


Attachments (Terms of Use)

Description Adam Mariš 2017-07-04 10:35:37 UTC
The DBD::mysql module through 4.043 for Perl uses the mysql_ssl=1 setting to mean that SSL is optional (even though this setting's documentation has a "your communication with the server will be encrypted" statement), which allows man-in-the-middle attackers to spoof servers via a cleartext-downgrade attack, a related issue to CVE-2015-3152.

Upstream bug:

https://github.com/perl5-dbi/DBD-mysql/issues/140

Comment 1 Adam Mariš 2017-07-04 10:39:27 UTC
Created perl-DBD-MySQL tracking bugs for this issue:

Affects: fedora-all [bug 1467608]

Comment 3 Stefan Cornelius 2017-08-31 08:39:14 UTC
Statement:

Red Hat Product Security has rated this issue as having Moderate security impact. This issue is not currently planned to be addressed in future updates. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.


Note You need to log in before you can comment on or make changes to this bug.